Class | Merb::MemorySession
In: | lib/merb-core/dispatch/session/memory.rb
Parent: | SessionStoreContainer

Sessions stored in memory.

Set it up by adding the following to your init file:

     Merb::Config.use do |c|
       c[:session_store]      = :memory
       c[:memory_session_ttl] = 3600 # in seconds, one hour
     end

Sessions will remain in memory until the server is stopped or the time as set in :memory_session_ttl expires. Expired sessions are cleaned up in the background by a separate thread. Every time reaper cleans up expired sessions, garbage collection is scheduled start.

Memory session is accessed in a thread safe manner.

### Methods

store store

### Public Class methods

store()

Lazy load/setup of MemorySessionStore. :api: private

### Public Instance methods

store()

Bypass normal implicit class attribute reader - see below. :api: private

[Validate]